/* 
 * CVS identifier:
 * 
 * $Id: ImgPane.java,v 1.2 2005-11-15 13:58:22 dengel Exp $
 * 
 * Class:                   ImgPane
 * 
 * Description:             
 * 
 * Created on Feb 11, 2005
 * 
 * @author Dominik Engel <dengel@cosy.sbg.ac.at>
 * 
 * COPYRIGHT:
 * 
 * This software module was originally developed by Raphal Grosbois and
 * Diego Santa Cruz (Swiss Federal Institute of Technology-EPFL); Joel
 * Askelf (Ericsson Radio Systems AB); and Bertrand Berthelot, David
 * Bouchard, Flix Henry, Gerard Mozelle and Patrice Onno (Canon Research
 * Centre France S.A) in the course of development of the JPEG2000
 * standard as specified by ISO/IEC 15444 (JPEG 2000 Standard). This
 * software module is an implementation of a part of the JPEG 2000
 * Standard. Swiss Federal Institute of Technology-EPFL, Ericsson Radio
 * Systems AB and Canon Research Centre France S.A (collectively JJ2000
 * Partners) agree not to assert against ISO/IEC and users of the JPEG
 * 2000 Standard (Users) any of their rights under the copyright, not
 * including other intellectual property rights, for this software module
 * with respect to the usage by ISO/IEC and Users of this software module
 * or modifications thereof for use in hardware or software products
 * claiming conformance to the JPEG 2000 Standard. Those intending to use
 * this software module in hardware or software products are advised that
 * their use may infringe existing patents. The original developers of
 * this software module, JJ2000 Partners and ISO/IEC assume no liability
 * for use of this software module or modifications thereof. No license
 * or right to this software module is granted for non JPEG 2000 Standard
 * conforming products. JJ2000 Partners have full right to use this
 * software module for his/her own purpose, assign or donate this
 * software module to any third party and to inhibit third parties from
 * using this software module for non JPEG 2000 Standard conforming
 * products. This copyright notice must be included in all copies or
 * derivative works of this software module.
 * 
 * Copyright (c) 1999/2000 JJ2000 Partners.
 * 
 * 
 * 
 */

package jj2000.disp;

import java.awt.Canvas;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.GraphicsConfiguration;
import java.awt.Image;
import java.util.Iterator;
import java.util.Vector;

public class ImgPane extends Canvas {

	
	private class ImageWithCaption
	{		
		public Image image;
		public String caption;
		
		public ImageWithCaption(Image image, String caption)
		{
			this.image = image;
			this.caption = caption;
		}
		
	}
	
	private Vector images = new Vector();
	public String caption; //global caption
	
	/**
	 * 
	 */
	public ImgPane() {
		super();
	}

	/**
	 * @param config
	 */
	public ImgPane(GraphicsConfiguration config) {
		super(config);
	}
	
	public void removeAll()
	{
		images.removeAllElements();
	}
	
	public Image getImage (int id)
	{
		return ((ImageWithCaption) images.get(id)).image;
	}
	
	public void addImage(Image img)
	{
		addImage(img, null);
	}

	public void addImage(Image img, String caption)
	{		
		images.add( new ImageWithCaption(img, caption));
	}
	

	public void paint(Graphics g) {

		super.paint(g);
		Iterator it = images.iterator();
		int x = 10;
		int y = 25;
		ImageWithCaption img;

		if (caption != null)
		{
			g.setFont(new Font("SansSerif", Font.BOLD, 18));
			g.drawString(caption, x , y);
			y += 20;
		}

		
		while (it.hasNext())
		{
			
			img = (ImageWithCaption) it.next();
			
			if (img.image != null)
				g.drawImage(img.image, x, y, this);
			else
				g.draw3DRect(x, 0, 512, 512, true);
			if (img.caption != null)
			{
				g.setFont(new Font("SansSerif", Font.BOLD, 18));
				g.drawString(img.caption, x, y + 530);
			}
			x += 530;
		}
		
		
	}
}
